Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class StrokeMiterlimitManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.svg.StrokeMiterlimitManager

All Implemented Interfaces:
  ValueManager

public class StrokeMiterlimitManager
extends AbstractValueManager

This class provides a factory for the 'stroke-miterlimit' property values.

Constructor Summary
`StrokeMiterlimitManager()`

Method Summary
`Value` | `createFloatValue(short unitType, float floatValue)` Implements `ValueManager#createFloatValue(short,float)`.
`Value` | `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`Value` | `getDefaultValue()` Implements `ValueManager#getDefaultValue()`.
`java.lang.String` | `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrokeMiterlimitManager

    public StrokeMiterlimitManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager#getDefaultValue()`.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### createFloatValue

    public Value createFloatValue(short unitType,
                                  float floatValue)
                           throws org.w3c.dom.DOMException

  Implements `ValueManager#createFloatValue(short,float)`.

  Specified by:
    `createFloatValue` in interface `ValueManager`
  Overrides:
    `createFloatValue` in class `AbstractValueManager`
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.